Tag

library/python:3.7.7
Content Digest: sha256:c1e36afba1c3c230a6846801fb284cf4383a8a0080fcf32c2ec625c066c56361
Manifests
Details
Content Digest

sha256:c2b1dbdd84ede869fe871f4278cff602b25867f7a67960e4de6feda0cf10bb56

Created

2020-06-09 17:38:46 UTC

Size

339 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:ca172633df711443e1bcc46650b24074efa097045feee542ecbb4934ae3ae01b - 14.41% (48.8 MB)

[#001] sha256:91e4e2e742db8627ba5d7e0f076114e90c4fea4407cedd3599355e4c00828543 - 2.25% (7.61 MB)

[#002] sha256:60ba43d083b56bb094a5bac45d723e9bec0fe65d033950b3c4dc392e890c7e41 - 2.91% (9.86 MB)

[#003] sha256:ac2391b0310a0be022e7ac6e202273ea7cc0ac5f16e862e5cb19c43c5db30b5b - 15.05% (51 MB)

[#004] sha256:6e3e805e55983a46c901632f289542625edb04ff470dc6dd9217466a3788d608 - 55.99% (190 MB)

[#005] sha256:05c62fd4eb29b10c1fa4fb03b84e361acbb9f4039d3613d6699565c550723abb - 1.83% (6.19 MB)

[#006] sha256:747d5f87c54c08e6e242e04422d10d50d4171e4fa4c0daa366e796d702e62104 - 7.01% (23.7 MB)

[#007] sha256:3cdba9ef118b86bd46d80791ebb0db0dd6b700085595fd64560c6a1311e8231b - 0.0% (233 Bytes)

[#008] sha256:de7561d3ac4436d00f3ac063cef3f65e756985760f0410bd2246ff136ee35311 - 0.54% (1.84 MB)


History
2020-06-09 01:39:33 UTC

/bin/sh -c #(nop) ADD file:f95fda6e1e7823d93ca50dd67a1ab99bdc8a7dea372ef27426915702500d54a2 in /

2020-06-09 01:39:33 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 02:11:39 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 02:11:46 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 02:12:09 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 02:13:11 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 15:48:23 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 15:48:23 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 16:43:31 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 17:25:30 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 17:25:30 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 17:38:38 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 17:38:38 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 17:38:39 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 17:38:39 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 17:38:39 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 17:38:46 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 17:38:46 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:e4e55e98f1e0e22860655ead7c3f31375e23975702050ef73ebfe8df3acb162d

Created

2020-06-09 18:00:21 UTC

Size

331 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:e9afc4f90ab09248d75c8081b6dfba749a7f7efdac704ced7e0ceb506e02fa4a - 14.52% (48.1 MB)

[#001] sha256:989e6b19a265d6b8b7934e7ddd7dc07f6e2fc945b3a28dda9b8aecb12cdb30e0 - 2.25% (7.45 MB)

[#002] sha256:af14b6c2f8785723bceb5964c5dec1f0489b7750e9d4ec671e49bfba15d80a39 - 2.88% (9.53 MB)

[#003] sha256:5573c4b3094956931fd68c310ae92c9eb1a787f0c77ac2730be9d16cce172d5e - 14.94% (49.4 MB)

[#004] sha256:11a88e76431345b48525c4e4d58d497810019f4bafdb5e2bd56dc34a05e09cc3 - 55.4% (183 MB)

[#005] sha256:ee776f0e36afc19d8b1cf242d59ec0e5950aac4e8a60868a266dbc9515ba06f2 - 1.77% (5.86 MB)

[#006] sha256:9075e1fb5d1772cd44fac73b038013b10285bdce2779dc66eb348f8c2bd57e59 - 7.67% (25.4 MB)

[#007] sha256:7882db2cc9d4182c731d9c694a01d748c5cfef500ff2dbe52ba8d66d2771c7f9 - 0.0% (232 Bytes)

[#008] sha256:955a532dd46c2b1aa95c3bfc165e37e2992448843d553d671973eff7a33ee0c4 - 0.56% (1.84 MB)


History
2020-06-09 01:20:39 UTC

/bin/sh -c #(nop) ADD file:1ab357efe422cfed5e37af2dc60d07ccfd4bdee4d4a0c00838b5d68f19ff20c7 in /

2020-06-09 01:20:39 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 01:46:35 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 01:46:41 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 01:47:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 01:48:00 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 16:47:42 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 16:47:43 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 17:20:22 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 17:51:36 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 17:51:36 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 18:00:13 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 18:00:14 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 18:00:14 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 18:00:15 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 18:00:15 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 18:00:21 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 18:00:21 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:17616e7ad23f907943135e1c69abf2c52b05b56f8fde286b143bdb7ef9826909

Created

2020-06-09 23:58:26 UTC

Size

5.4 GB


Environment
PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_RELEASE

3.7.7

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 70.17% (3.79 GB)

[#001] sha256:375fbabb84945635805b46a02a17ac15a3177bcaae7404cfab5f1ceb0460cb60 - 28.69% (1.55 GB)

[#002] sha256:c938241e0507e1ada5f864325483d86fd08533a5a31e7cb6ec1357db9891b245 - 0.0% (1.1 KB)

[#003] sha256:263b3c974c17168c23023caf257b806d2c1f99ed01e30c19cad5b99f565bc5cb - 0.0% (1.14 KB)

[#004] sha256:294910466265eac2457085efe7ddc6aceec9f79eacd0a8b14b22f30310ae51c5 - 0.0% (1.12 KB)

[#005] sha256:1603b8e237a6998003ee260392af5a1eb05f2b958612fdae88457e400c4a06bc - 0.97% (53.5 MB)

[#006] sha256:88f18a1fc097f2629fb7f8758f091829f53cf622ae99be720f5b61dee9578035 - 0.0% (1.11 KB)

[#007] sha256:0af1da21a6de010cd3710ab646437870f5cbd1c6c9836fa886434b0be535e2e3 - 0.0% (1.13 KB)

[#008] sha256:f89eb0ac82afc25149dcdace33bfb92a5f976243854bccb746f9985c72a3bd51 - 0.0% (1.12 KB)

[#009] sha256:30438d2328938f40fbd070ccb0f1e5257d2804e7246422b4790a4b6ff2fa0e21 - 0.18% (10 MB)

[#010] sha256:d8052512fb5c42505827e1368eb054373b74b7e72296e66cafa48a7ecc93579c - 0.0% (1.1 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-06-01 18:53:00 UTC

Install update ltsc2016-amd64

2020-06-09 22:36:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-06-09 23:53:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 23:53:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.7.7

2020-06-09 23:56:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'

2020-06-09 23:56:35 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 23:56:37 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 23:56:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 23:58:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'

2020-06-09 23:58:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]

Details
Content Digest

sha256:a2ee5b17b023ad91dc8ec203d3379c0d8a7d281fa4a1c45bd2f16da30a2e23e6

Created

2020-06-10 00:01:25 UTC

Size

2.19 GB


Environment
PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_RELEASE

3.7.7

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 73.11% (1.6 GB)

[#001] sha256:666079ee04606f07f4a27dd98526f5049ef8fed93e347d8b4c447b0d5060c77d - 24.49% (549 MB)

[#002] sha256:f841c6a0c622cd36b5b2688011a224ac3e8e96273758f4a2804f2f3f099f267d - 0.0% (1.13 KB)

[#003] sha256:e71101c720ee88d41afc41c4b648f87f990c2d895aba847003740d2cc3850159 - 0.0% (1.11 KB)

[#004] sha256:1b82824ebf2d5b948f25c90451c673a772b8312f42cdca6d7f332af9d421997f - 0.0% (1.12 KB)

[#005] sha256:9e4adf368efc4e8b410921009e1f7bf18d9a183aec61a050b20f5ca1dc66acb0 - 2.17% (48.6 MB)

[#006] sha256:c55ab1fabf99bbc4fd8ced3a021b1711dec2be72e1d34d3fb96934a9819095f3 - 0.0% (1.1 KB)

[#007] sha256:fd8ae9afc7ce53a258f64bcbdd2a6ff26d865e4a312a22551f20546d0a785bcf - 0.0% (1.15 KB)

[#008] sha256:c55f873d12971960f67d1875e3a352361b5032167586798d805e03daa167ec23 - 0.0% (1.17 KB)

[#009] sha256:8f738bb4fe35932989e1e7b30bdd51672f292312e7c9d43dc0b5198c4a947b07 - 0.23% (5.18 MB)

[#010] sha256:a730c503abc24fde1146a06c943396fbeddbed6fa7cfff53b4e08e579523e90e - 0.0% (1.12 KB)


History
2020-05-07 05:09:25 UTC

Apply image 1809-RTM-amd64

2020-06-04 01:48:42 UTC

Install update 1809-amd64

2020-06-09 22:33:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-06-09 23:58:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 23:58:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.7.7

2020-06-10 00:00:28 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'

2020-06-10 00:00:29 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-10 00:00:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-10 00:00:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-10 00:01:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'

2020-06-10 00:01:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]

Details
Content Digest

sha256:cb2064d7667b697bdacbb39b49694663c56b14a969c1b5df1f39af5c863642aa

Created

2020-06-09 08:14:25 UTC

Size

303 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:3e588deec0981579bbdb8fdc5c1dde7b354b6df6fe9aaca73c69aa0bc697d812 - 15.12% (45.9 MB)

[#001] sha256:46b72a58ca618497267d363d547aa0cac4e121092ef4d192f9cd40d48fbaa46c - 2.31% (7.02 MB)

[#002] sha256:45fb48ce42ec95f1caafdac679b5a64b2cd2863a624e7e3cad6d34546279f720 - 3.04% (9.24 MB)

[#003] sha256:f19b56b1fead8edb93db924ab12912143e0a0529ae8bfac7b332b343489ce954 - 15.58% (47.3 MB)

[#004] sha256:8d836c9d96b13362c3a8f180048a0ff785c5bc77374abd56ef435eb931af6b5c - 53.79% (163 MB)

[#005] sha256:046d87d1dd691fb83514b127a0e82aecf9f3a6439e12cdff8200eb261ee1029f - 1.84% (5.57 MB)

[#006] sha256:e7375416d405c657b6434bf3546e9c6d8125557816bc351b5a157fd5495de74e - 7.72% (23.4 MB)

[#007] sha256:522e9be2450b3dec430c0c9bb5d2852e5b1d3025826482b7049e2bf2ab3d0a2a - 0.0% (232 Bytes)

[#008] sha256:2041f010fedc38b7106539b0a2eb1f1483d6e4868ea3a942f960ae48ff0783c0 - 0.61% (1.84 MB)


History
2020-06-09 00:51:35 UTC

/bin/sh -c #(nop) ADD file:2f1cc936406bc9d491f8bcacebb22061ff4c710311b85c5e852ce0d319421b68 in /

2020-06-09 00:51:37 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 01:28:18 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 01:28:33 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 01:29:16 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 01:32:05 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 07:18:26 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 07:18:26 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 07:19:18 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 07:59:21 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 07:59:22 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 08:14:03 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 08:14:07 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 08:14:09 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 08:14:10 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 08:14:11 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 08:14:24 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 08:14:25 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:dfc144be73b72cb13b4b6e3df5eb6e067518852589fb5af87303c5cc9191776c

Created

2020-06-09 16:20:21 UTC

Size

295 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:cff0731da2e4f4a0ae8329840eb7fed7ea6aac11aecbfa15c6e684caec03920d - 14.81% (43.7 MB)

[#001] sha256:3bbeb0ded58d68be17265763fda36a4e1a520234a291d66f370d98a3e0d6e591 - 2.29% (6.77 MB)

[#002] sha256:d6159fbed770bb99a219eae06828da55caaa649879843c0b9df18ddda9b698b3 - 3.02% (8.91 MB)

[#003] sha256:7ba732bafeb6b1467fd6908c64c6e8d10ffb27e44e3a25ab4c6c38e8f753baa5 - 15.29% (45.2 MB)

[#004] sha256:26d84f63917d0e3fb79c2b4c16f4595b8db444749589cfd28a57ef31188ab110 - 54.37% (161 MB)

[#005] sha256:38a9df87fb47437c180a0456208542e1900a98b934d3ed37b7e8093da9caed9f - 1.79% (5.28 MB)

[#006] sha256:8bc23e54609c14b0f89f0f3964eb7f2a071ef6d9cdd545308754c550cdee62e2 - 7.82% (23.1 MB)

[#007] sha256:703bc0f8653fd443feca4a3d5963f37120caea61b988bb2100a7699f04b1e1a2 - 0.0% (232 Bytes)

[#008] sha256:31d0955b7a88d338b5b7a95722b01e0d4d85ddf0762dccbb88685f9f3957b97f - 0.62% (1.84 MB)


History
2020-06-09 01:00:40 UTC

/bin/sh -c #(nop) ADD file:35073a186411c4b773a9d4d540ec0693ced845cb847b43d8465f9579174cd2b0 in /

2020-06-09 01:00:45 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 01:46:25 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 01:46:57 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 01:48:31 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 01:52:12 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 15:22:13 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 15:22:14 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 15:22:49 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 16:05:38 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 16:05:39 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 16:20:02 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 16:20:04 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 16:20:05 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 16:20:06 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 16:20:07 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 16:20:20 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 16:20:21 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:b6ff8647348b81e823ad247fa1d25352a4a7fcda2e1d9f2287560267a601ddd2

Created

2020-06-09 14:53:28 UTC

Size

321 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:1db90d3d3b6598d485690f804e96153fb632e7434251d334e9a0c49b773855c9 - 14.6% (46.9 MB)

[#001] sha256:6e848fd373270c8ed6d276649dd8a5860d188f7d0ff306e91e4e3e092e541d99 - 2.28% (7.33 MB)

[#002] sha256:9c85f14a5d8064020366c03aa05ec1c8b0f731e0966bb9788960d27258634aef - 2.96% (9.52 MB)

[#003] sha256:334e38f2d6fff7c08f4ad1b38ec441d2cf963b761b5d85983396a75ff6d0c08f - 15.49% (49.7 MB)

[#004] sha256:326561827fde74d56d06dce7035ef6653dbf62a27a5dc35416ba6f00293a09b8 - 54.55% (175 MB)

[#005] sha256:824604b39a2bb683a5c5e24f45cb35f2e372484dbd7a0a8584b76fe34a99437b - 1.86% (5.97 MB)

[#006] sha256:c1162f9c3a2b261abe4b586748ac674f14944d2dee2945e7cfcdaa69fe855438 - 7.69% (24.7 MB)

[#007] sha256:9b04c0b2d7db440ba84618e667e317f8ebe6c732e8c7171efa19454493e823ce - 0.0% (233 Bytes)

[#008] sha256:de32d2d9d49986978af8232f904ec51efb35128548a3f252f1d8d784ff303a9b - 0.57% (1.84 MB)


History
2020-06-09 01:51:33 UTC

/bin/sh -c #(nop) ADD file:73f1cc6ac15b24788e78ae41cd6c89cb5211d64baf491accbd95b6fe9718f17f in /

2020-06-09 01:51:36 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 02:31:58 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 02:32:17 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 02:32:56 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 02:35:00 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 04:11:26 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 04:11:27 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 14:08:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 14:39:59 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 14:39:59 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 14:53:02 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 14:53:08 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 14:53:09 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 14:53:10 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 14:53:12 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 14:53:26 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 14:53:28 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:81326bdb4107c4c794b6e0c47e4a211a4566ef6b3213d386e6b3664d2321a7be

Created

2020-06-09 13:56:47 UTC

Size

316 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:8084fc3b4d2453eb8005c0b33e3c542e3615868e22652e74e19fec36df3c488e - 14.79% (46.7 MB)

[#001] sha256:6df088964944d43608e89126d7ae55a47489499bad77148bac16c1593e8ff69a - 2.18% (6.9 MB)

[#002] sha256:5a34d1c06dc4557c94a0e8dc1d4f49ee8f512c443dea9748d2bb00fc4e1f6502 - 3.02% (9.55 MB)

[#003] sha256:dbaedff7ebdd283f729f3eb0635079193636dc776885aa0339370ed36edfbc2f - 15.34% (48.5 MB)

[#004] sha256:814cc59ed9a88b832e8d53df38caa9b76578203bea7cbfc5b7c03b6d842221e1 - 54.22% (171 MB)

[#005] sha256:5adea584f72a079f0e09d6d585b8bb7b7ec1b4a661db7f237337cdd5c8c2b188 - 1.95% (6.16 MB)

[#006] sha256:bc530ba7492f1e91b7e90e429bbfb194c5274d371c4071675392a9d2edf44251 - 7.93% (25.1 MB)

[#007] sha256:4bae763746152e85b89f0ede78a2ce6beb5ab3d0b7a8cceb1a0df9511464729c - 0.0% (232 Bytes)

[#008] sha256:e08e7df272c257b133452bf89f784a9cf89f6a5f41883b0ed02c3a776043c130 - 0.58% (1.84 MB)


History
2020-06-09 01:09:44 UTC

/bin/sh -c #(nop) ADD file:b51eae556569a7654c89a15b745fafdb0477ed08e8a06f7fcd6363145123d67f in /

2020-06-09 01:09:45 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 01:51:32 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 01:51:48 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 01:52:48 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 01:55:52 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 11:00:45 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 11:00:45 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 11:01:08 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 13:16:18 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 13:16:19 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 13:56:24 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 13:56:26 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 13:56:26 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 13:56:27 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 13:56:27 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 13:56:47 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 13:56:47 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:5e9f5b0355ac0e001fee2d98b3f86ba38041fa0537432a95607f702ade6d2702

Created

2020-06-09 18:57:06 UTC

Size

353 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:0cad52b1770a1b4a84068be3efe78098837be582f5905e627b2cdba07e641fd1 - 14.64% (51.6 MB)

[#001] sha256:e0318f8e4196d9f742fcca63ed04f9c2cb14ac6541f33cd67dae342ef35845da - 2.23% (7.87 MB)

[#002] sha256:cec302fe954105553bdc7cac9100b6bfd114d3b56ef94d850b0364da83650fc6 - 2.9% (10.2 MB)

[#003] sha256:bf65a8c1ffe0371d22a42dfd9c0b4ac2900e0ca4d9d12502c488c59d3aff6aee - 15.53% (54.8 MB)

[#004] sha256:2aad1912038650766f7c3949e5b7084d257bdb77914a13f32fc7334f57b1ee68 - 54.88% (194 MB)

[#005] sha256:ed779f95fafb2a686209f8d45637bc8ae08766c136225f1c93e0f10815311223 - 1.86% (6.57 MB)

[#006] sha256:c7f8be3cceb3735c579592ba6426065c9a88cb310d3bf6cab852ac00945bc7f9 - 7.44% (26.2 MB)

[#007] sha256:7321ed931e7d099b029c5c563514163c303eb570cff4b57a7ff299ee64e99e8b - 0.0% (231 Bytes)

[#008] sha256:2883a16855d2b904f4c4b144feb2eaa47c0d53695fcca35352e06df7dc64a456 - 0.52% (1.84 MB)


History
2020-06-09 01:22:01 UTC

/bin/sh -c #(nop) ADD file:18a41180457a190a9dede1228479d2e332a348f22ac027c36e14d6d92e556f22 in /

2020-06-09 01:22:06 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 02:57:28 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 02:58:08 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 03:00:01 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 03:11:52 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 13:57:55 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 13:58:11 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 18:02:16 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 18:44:36 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 18:44:40 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 18:56:13 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 18:56:29 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 18:56:34 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 18:56:38 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 18:56:44 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 18:57:02 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 18:57:06 UTC

/bin/sh -c #(nop) CMD ["python3"]

Details
Content Digest

sha256:40638a528a0e2c9fedb7544b6d7dc9550b6b5c61ab8668ee9f74f86a87de5cb5

Created

2020-06-09 09:54:14 UTC

Size

314 MB


Environment
GPG_KEY

0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

LANG

C.UTF-8

PATH

/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PYTHON_GET_PIP_SHA256

b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

PYTHON_GET_PIP_URL

https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

PYTHON_PIP_VERSION

20.1.1

PYTHON_VERSION

3.7.7


Layers

[#000] sha256:76dae9e9a8f2b69403c29a068363410a0b491d889452a410e1a846db24918418 - 14.89% (46.7 MB)

[#001] sha256:2ea4ddfd9cac861440dd774171c0df5d003bcf031cc856603f0dcc1a569a7614 - 2.25% (7.04 MB)

[#002] sha256:7b4340e9fce6caba0ffebdee007c25f4ed849de61e56dcee1ed7e081edbcf1e5 - 3.0% (9.42 MB)

[#003] sha256:89446217dee5ed85681993c919acbdf28494151380677fdefa88b6b5e481573c - 15.62% (49 MB)

[#004] sha256:61438bbb152f907aeaae3b74ab198003590836b10d32255683615a865a061c46 - 53.75% (169 MB)

[#005] sha256:d18bd1ddd205f062d03d6e54ca50e73aa4a03002602c0b8f13908d2c1afdea61 - 1.84% (5.78 MB)

[#006] sha256:6117581c72c2fa7c2e4309aceaab351c98fb7bcf0d92a09c8f7c1b0d4cd99a1d - 8.07% (25.3 MB)

[#007] sha256:af6b872be887c614085ff01ea8cf791e988011b5550111fdcb4b758b7cc948bd - 0.0% (234 Bytes)

[#008] sha256:8e7ee2227326424a3e5d33de68e1c90a1c940982421692bc2289cb110f21bad3 - 0.59% (1.84 MB)


History
2020-06-09 01:42:21 UTC

/bin/sh -c #(nop) ADD file:525b5566f1fb9dfef74a4f49170a50bba0f0ed22a8bd627a8f802803236f1db8 in /

2020-06-09 01:42:23 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-06-09 02:09:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-06-09 02:09:41 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-06-09 02:10:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-06-09 02:11:16 UTC

/bin/sh -c set -ex; apt-get update; DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*

2020-06-09 08:26:35 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-06-09 08:26:36 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-06-09 09:28:45 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*

2020-06-09 09:49:02 UTC

/bin/sh -c #(nop) ENV GPG_KEY=0D96DF4D4110E5C43FBFB17F2D347EA6AA65421D

2020-06-09 09:49:03 UTC

/bin/sh -c #(nop) ENV PYTHON_VERSION=3.7.7

2020-06-09 09:54:05 UTC

/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" PROFILE_TASK='-m test.regrtest --pgo test_array test_base64 test_binascii test_binhex test_binop test_bytes test_c_locale_coercion test_class test_cmath test_codecs test_compile test_complex test_csv test_decimal test_dict test_float test_fstring test_hashlib test_io test_iter test_json test_long test_math test_memoryview test_pickle test_re test_set test_slice test_struct test_threading test_time test_traceback test_unicode ' && make install && ldconfig && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' + && rm -rf /usr/src/python && python3 --version

2020-06-09 09:54:08 UTC

/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config

2020-06-09 09:54:08 UTC

/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.1.1

2020-06-09 09:54:08 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/eff16c878c7fd6b688b9b4c4267695cf1a0bf01b/get-pip.py

2020-06-09 09:54:08 UTC

/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=b3153ec0cf7b7bbf9556932aa37e4981c35dc2a2c501d70d91d2795aa532be79

2020-06-09 09:54:13 UTC

/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py

2020-06-09 09:54:14 UTC

/bin/sh -c #(nop) CMD ["python3"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.